Subject: Noob question on using branches

From: Barry Roberts <[email-masked]>
Date: Tue, 06 May 2008 09:47:48 -0600

I have a branch in my git repository that is a "released" branch.  It 
only gets defect fixes as they are needed to patch our production servers.

I want to get all those defect fixes back into the master, but I don't 
want changes from the master getting into the production branch, so I 
don't think I want to do:
git checkout master
git merge production

right?

It looks like "git pull --squash . production" will do what I want.  Is 
that correct, or is there a better way?  git cherry-pick seems 
cumbersome when I already know I want everything in the branch (unless 
there's a way to tell cherry-pick to get the whole branch and I've 
missed that).

Thanks,
Barry Roberts